# Request to refill users' balance

## Request to refill users' balance

<mark style="color:green;">`POST`</mark> `http://lk.mysmpp.ru/xml/add_balance.php`

#### Headers

| Name                                           | Type   | Description                    |
| ---------------------------------------------- | ------ | ------------------------------ |
| Content-type<mark style="color:red;">\*</mark> | String | **`text/xml; charset=utf-8;`** |

#### Request Body

| Name                                                       | Type   | Description                                                                                                                                                                                                                                                                                                                                                                                          |
| ---------------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| login.value<mark style="color:red;">\*</mark>              | String | Your login in the system                                                                                                                                                                                                                                                                                                                                                                             |
| client.type\_transaction<mark style="color:red;">\*</mark> | String | <p>Transaction type:</p><p>- webmoney - WebMoney </p><p>- manager - Manager</p><p>- roboxchange - ROBOXchange</p><p>- cashless - Cashless</p><p>- cashless\_no\_score - Cashless without account</p><p>- Qiwi - Qiwi</p><p>- yandexmoney - Yandex.Money</p><p>- BITCOIN - Bitcoin</p><p>- trust\_payment - Trust payment</p><p>- write\_off - Write\_off</p><p>- subscription - Subscription fee</p> |
| client.balance<mark style="color:red;">\*</mark>           | Int    | Amount credited                                                                                                                                                                                                                                                                                                                                                                                      |
| client.login\_client<mark style="color:red;">\*</mark>     | String | Customer login                                                                                                                                                                                                                                                                                                                                                                                       |
| token.value<mark style="color:red;">\*</mark>              | String | You can use a secret key instead of login and password. To obtain it, please contact your manager                                                                                                                                                                                                                                                                                                    |
| password.value<mark style="color:red;">\*</mark>           | String | Your password in the system                                                                                                                                                                                                                                                                                                                                                                          |

{% tabs %}
{% tab title="200: OK If a valid XML document is received" %}

```xml
<?xml version="1.0" encoding="utf-8" ?>
<response>
    <transaction login="test_6_1" id_transaction="366"/>
    <transaction login="test_smpp_3" id_transaction="NO_USER"/>
    ...
    <transaction login="test_smpp_8" id_transaction="401"/>
</response>
```

{% endtab %}

{% tab title="400: Bad Request If an error occurs in the sent XML document" %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
     <error>Error message</error>
</response>
```

{% endtab %}
{% endtabs %}

### Deciphering parameters in query responses

<table><thead><tr><th width="178.33333333333331">Параметр</th><th width="175">Тип данных</th><th>Описание</th></tr></thead><tbody><tr><td>transaction.login</td><td>String</td><td>Customer login</td></tr><tr><td>ransaction.Id_transaction</td><td>Mixed</td><td><p>Transaction Id for crediting funds </p><p><mark style="color:orange;"><strong>NO_USER</strong> - means that this user is not found</mark></p></td></tr><tr><td>error</td><td>String</td><td><p>The error text can take the following values:</p><ul><li>Incorrect XML document format </li><li>Incorrect login or password </li><li>POST data is missing</li></ul></td></tr></tbody></table>

### Example XML request

```xml
<?xml  version="1.0" encoding="utf-8" ?>
<request>
     <security>
          <login value="login" />
          <password value="password" />
     </security>
     <client login_client="test_6_1" balance="100" type_transaction="webmoney">
     <client login_client="test_smpp_3" balance="150" type_transaction="manager">
     ...
     <client login_client="test_smpp_8" balance="200" type_transaction="BITCOIN">
</request>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/xml-specification/request-to-refill-users-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
